Skip to main content

Type Alias: GatewayInferenceInputImage

type GatewayInferenceInputImage = {
[key: string]: unknown;
type: "input_image";
image_url?: string | null;
file_id?: string | null;
detail: "high" | "low" | "auto";
};

Defined in: src/models/ai-gateway-inference.ts:6643

Portkey InputImage; additive response fields are preserved.

Example​

`GatewayInferenceInputImageSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "input_image";

Defined in: src/models/ai-gateway-inference.ts:6644


image_url?​

optional image_url?: string | null;

Defined in: src/models/ai-gateway-inference.ts:6645


file_id?​

optional file_id?: string | null;

Defined in: src/models/ai-gateway-inference.ts:6646


detail​

detail: "high" | "low" | "auto";

Defined in: src/models/ai-gateway-inference.ts:6647